
<a name="v0.1.21"></a>
## [v0.1.21](https://git.mills.io/prologic/msgbus/compare/v0.1.20...v0.1.21) (2023-04-23)

### Bug Fixes

* Fix off-by-one error in Queue.ForEach() (#41)
* Fix execution of notify step in CI
* Fix Drone CI syntax for trigger conditions


<a name="v0.1.20"></a>
## [v0.1.20](https://git.mills.io/prologic/msgbus/compare/v0.1.19...v0.1.20) (2022-04-18)

### Updates

* Update CHANGELOG for v0.1.20


<a name="v0.1.19"></a>
## [v0.1.19](https://git.mills.io/prologic/msgbus/compare/v0.1.18...v0.1.19) (2022-04-05)

### Bug Fixes

* Fix panic updating metrics when not enabled

### Updates

* Update CHANGELOG for v0.1.19


<a name="v0.1.18"></a>
## [v0.1.18](https://git.mills.io/prologic/msgbus/compare/v0.1.17...v0.1.18) (2022-04-05)

### Updates

* Update CHANGELOG for v0.1.18


<a name="v0.1.17"></a>
## [v0.1.17](https://git.mills.io/prologic/msgbus/compare/v0.1.16...v0.1.17) (2022-04-04)

### Bug Fixes

* Fix a bug in client not tracking topic index when using indexing (#36)

### Updates

* Update CHANGELOG for v0.1.17


<a name="v0.1.16"></a>
## [v0.1.16](https://git.mills.io/prologic/msgbus/compare/v0.1.15...v0.1.16) (2022-04-04)

### Updates

* Update CHANGELOG for v0.1.16


<a name="v0.1.15"></a>
## [v0.1.15](https://git.mills.io/prologic/msgbus/compare/v0.1.14...v0.1.15) (2022-04-04)

### Bug Fixes

* Fix Subscribe() deadlock (#34)

### Features

* Add support for a write-ahead-log (WAL) to persist messages (#33)

### Updates

* Update CHANGELOG for v0.1.15


<a name="v0.1.14"></a>
## [v0.1.14](https://git.mills.io/prologic/msgbus/compare/v0.1.13...v0.1.14) (2022-04-03)

### Bug Fixes

* Fix case for invalid Index to handle Topic resets (msgbus restarts or crashes) (#30)
* Fix panic on nil message (#29)

### Updates

* Update CHANGELOG for v0.1.14


<a name="v0.1.13"></a>
## [v0.1.13](https://git.mills.io/prologic/msgbus/compare/v0.1.12...v0.1.13) (2022-04-03)

### Bug Fixes

* Fix a panic on close bug (#28)
* Fix Reconnect test
* Fix response for empty topic/queue by responding with HTTP 204 No Content instead of 404 Not Found (Fixes #25)

### Features

* Add support for subscribers to start from an index (#26)
* Add CORS headers so bus can be accessed cross-origin

### Updates

* Update CHANGELOG for v0.1.13


<a name="v0.1.12"></a>
## [v0.1.12](https://git.mills.io/prologic/msgbus/compare/v0.1.11...v0.1.12) (2022-03-28)

### Bug Fixes

* Fix Client API

### Updates

* Update CHANGELOG for v0.1.12


<a name="v0.1.11"></a>
## [v0.1.11](https://git.mills.io/prologic/msgbus/compare/v0.1.10...v0.1.11) (2022-03-28)

### Bug Fixes

* Fix Client API

### Updates

* Update CHANGELOG for v0.1.11


<a name="v0.1.10"></a>
## [v0.1.10](https://git.mills.io/prologic/msgbus/compare/v0.1.9...v0.1.10) (2022-03-27)

### Updates

* Update CHANGELOG for v0.1.10


<a name="v0.1.9"></a>
## [v0.1.9](https://git.mills.io/prologic/msgbus/compare/v0.1.8...v0.1.9) (2022-03-27)

### Bug Fixes

* Fix client spport for wasm by partially migrating from gorilla/websocket to nhooyr.io/websocket (See #17)
* Fix version test
* Fix version test

### Updates

* Update CHANGELOG for v0.1.9


<a name="v0.1.8"></a>
## [v0.1.8](https://git.mills.io/prologic/msgbus/compare/v0.1.7...v0.1.8) (2022-03-25)

### Features

* Add Access-Control-Allow-Origin: * to all responses

### Updates

* Update CHANGELOG for v0.1.8


<a name="v0.1.7"></a>
## [v0.1.7](https://git.mills.io/prologic/msgbus/compare/v0.1.6...v0.1.7) (2022-03-21)

### Bug Fixes

* Fix Makefile
* Fix version

### Updates

* Update CHANGELOG for v0.1.7


<a name="v0.1.6"></a>
## [v0.1.6](https://git.mills.io/prologic/msgbus/compare/v0.1.5...v0.1.6) (2022-03-21)

### Updates

* Update CHANGELOG for v0.1.6


<a name="v0.1.5"></a>
## [v0.1.5](https://git.mills.io/prologic/msgbus/compare/v0.1.4...v0.1.5) (2022-03-21)

### Bug Fixes

* Fix more data races
* Fix some data races

### Updates

* Update CHANGELOG for v0.1.5
* Update deps


<a name="v0.1.4"></a>
## [v0.1.4](https://git.mills.io/prologic/msgbus/compare/v0.1.3...v0.1.4) (2022-03-20)

### Bug Fixes

* Fix .gitignore
* Fix Makefile

### Features

* Add release tools, GoReleaser config and chglog config

### Updates

* Update CHANGELOG for v0.1.4


<a name="v0.1.3"></a>
## [v0.1.3](https://git.mills.io/prologic/msgbus/compare/v0.1.2...v0.1.3) (2022-03-19)


<a name="v0.1.2"></a>
## [v0.1.2](https://git.mills.io/prologic/msgbus/compare/v0.1.1...v0.1.2) (2022-03-17)

### Bug Fixes

* Fix import paths
* Fix Drone CI notify step in pipeline
* Fix Travis CI build

### Features

* Add an install target to the Makefile
* Add related proejcts to README
* Add support for args to msgbus sub
* Add MsgBus.Metrics() test (#8)

### Updates

* Update README.md
* Update README.md
* Update clean target to use git clean


<a name="v0.1.1"></a>
## [v0.1.1](https://git.mills.io/prologic/msgbus/compare/v0.1.0...v0.1.1) (2018-05-08)

### Updates

* Update README.md
* Update README.md
* Update README.md


<a name="v0.1.0"></a>
## v0.1.0 (2018-05-07)

### Bug Fixes

* Fix debug logging
* Fix bug connecting to secure msgbus (websocket) endpoints
* Fix msgbusd cli

### Documentation

* Document use-cases
* Document the HTTP API

### Features

* Add goreleaser config
* Add metrics for queue depths
* Add support for two-way ping/pong in both directions server<->client to avoid weird Docker Swarm IPVS/Overlay networking issues
* Add extra logging and fix a concurrency bug
* Add support for control messages and various client improvements
* Add extra counters for fetched, delivered and dropped messages
* Add grafana dashboard
* Add feature to msgbus sub CLI to executre commands on messages for convenient shell scriptiong
* Add docker image layers badge
* Add more tests and bench target
* Add error handling on subscriber handler functions
* Add build system and version info
* Add Travis CI and badges
* Add LICENSE
* Add flags to msgbus cli

### Updates

* Update issue templates
* Update README.md
* Update README to reflect status of project
* Update vendored 3rd-party packages
* Update vendored 3rd-party packages
* Update README - Promote project to Alpha
* Update README.md

